Skip to main content
GET
/
chargebacks
List refunds
curl --request GET \
  --url https://sandbox.kulmipay.com/api/v1/chargebacks \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "transaction": {
        "invoice": {
          "value": "<string>",
          "invoice_id": "<string>",
          "charges": "<string>",
          "net_amount": "<string>",
          "currency": "<string>",
          "account": "<string>",
          "api_ref": "<string>",
          "clearing_status": "<string>",
          "mpesa_reference": "<string>",
          "host": "<string>",
          "retry_count": -1,
          "failed_reason": "<string>",
          "failed_code": "<string>",
          "failed_code_link": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        },
        "transaction_id": "<string>",
        "currency": "<string>",
        "value": "<string>",
        "running_balance": "<string>",
        "narrative": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "chargeback_id": "<string>",
      "session_id": "<string>",
      "amount": "<string>",
      "status": "<string>",
      "resolution": "<string>",
      "staff_created": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next": "<string>",
  "previous": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.kulmipay.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:ISSecretKey_test_xxxxxxxxxxxxxxxx
required

Use your KulmiPay secret key as the Bearer token.

Query Parameters

page
integer

A page number within the paginated result set.

Response

200 - application/json
count
integer
required
results
object[]
required
next
string<uri> | null
previous
string<uri> | null